cURL
curl --request GET \ --url https://api.xpander.ai/v1/knowledge/{kb_id}/documents \ --header 'x-api-key: <api-key>'
{ "items": [ { "document_url": "<string>", "kb_id": "<string>", "id": "<string>", "name": "<string>" } ], "total": 123, "page": 123, "per_page": 123, "total_pages": 123 }
Get paginated list of documents in a knowledge base
Show Document Object
curl -X GET -H "x-api-key: <your-api-key>" \ "https://api.xpander.ai/v1/knowledge/<kb-id>/documents?page=1&per_page=10"
{ "items": [ { "kb_id": "<kb-id>", "id": "<document-id>", "name": "https://docs.example.com/quickstart", "document_url": "https://docs.example.com/quickstart" } ], "total": 1, "page": 1, "per_page": 10, "total_pages": 1 }
document_url
API Key for authentication
Page number (starting from 1)
x >= 1
Items per page (max 50)
1 <= x <= 50
Successful Response
Show child attributes
Was this page helpful?
Contact support